Bug 140090 - Nested LVM devices not created during install.
Summary: Nested LVM devices not created during install.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lvm (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-19 17:48 UTC by Northwestern Support
Modified: 2008-03-17 16:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-17 16:20:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correctly created /etc/fstab (836 bytes, text/plain)
2004-11-19 17:51 UTC, Northwestern Support
no flags Details
output from 'ls -l /dev/Volume00' (265 bytes, text/plain)
2004-11-19 17:53 UTC, Northwestern Support
no flags Details
output from pvdisplay (454 bytes, text/plain)
2004-11-19 17:56 UTC, Northwestern Support
no flags Details
Output from 'vgdisplay' (563 bytes, text/plain)
2004-11-19 17:57 UTC, Northwestern Support
no flags Details

Description Northwestern Support 2004-11-19 17:48:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041004
Firefox/0.10.1

Description of problem:
On installing RHEL3-AS using LVM, several of the LVM volume group
devices are not created, preventing the system from booting.  The
/etc/fstab file is created correctly (attached), however not all of
the device files in /dev/VolumeGroup00 are created (listing also
attached).  

Specifically, 6 logical volumes should have been created
(/dev/VolumeGroup/LogVol[0-5])  However, only LVs 3,4, and 5 actually
exist (for /, /var, and /home) respectively.  The other three are missing.

The outputs from pvdisplay and vgdisplay are also attached.  Note that
There is some 500GB of unallocated space in the vgdisplay output--this
is the amount that *should* have been used by the three missing
partitions.

Version-Release number of selected component (if applicable):
lvm-1.0.8-5

How reproducible:
Always

Steps to Reproduce:
Create LVM and mount points as in the attached fstab.txt file.

Actual Results:  LVM VG devices were not created, although they did
appear correctly in anaconda/disk druid

Expected Results:  All LVM devices should have been created.

Additional info:

Comment 1 Northwestern Support 2004-11-19 17:51:04 UTC
Created attachment 107073 [details]
Correctly created /etc/fstab

This is the /etc/fstab file created by the installer.  It is correct, although
some the LVM devices it refers to are not created.

Comment 2 Northwestern Support 2004-11-19 17:53:45 UTC
Created attachment 107074 [details]
output from 'ls -l /dev/Volume00'

Notice that LV devices 0, 1, and 2 are all missing.

Comment 3 Northwestern Support 2004-11-19 17:56:13 UTC
Created attachment 107075 [details]
output from pvdisplay

This is the output from 'pvdisplay /dev/sda3'.	The sda devices is a RAID
array; sda1 is /boot, sda2 is swap, and sda3 is an LVM PV.  There are only 3
partitions.

Comment 4 Northwestern Support 2004-11-19 17:57:43 UTC
Created attachment 107076 [details]
Output from 'vgdisplay'

Output from 'vgdisplay'.  Note that there are 500GB of free space--which should
be allocated to the three missing loggical volumes.  There should be no
freespace.

Comment 5 RHEL Product and Program Management 2007-10-19 19:13:41 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.